// I18N constants

// LANG: "el", ENCODING: UTF-8 | ISO-8859-7
// Author: Dimitris Glezos, dimitris@glezos.com

HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "el",

	tooltips: {
		bold:           "",
		italic:         "",
		underline:      "",
		strikethrough:  "",
		subscript:      "",
		superscript:    "",
		justifyleft:    " ",
		justifycenter:  " ",
		justifyright:   " ",
		justifyfull:    " ",
		orderedlist:    "",
		unorderedlist:  "",
		outdent:        " ",
		indent:         " ",
		forecolor:      " ",
		hilitecolor:    " ",
		horizontalrule: " ",
		createlink:     " ",
		insertimage:    "/ ",
		inserttable:    " ",
		htmlmode:       " / HTML",
		popupeditor:    " ",
		about:          "",
		showhelp:       "",
		textindicator:  " ",
		undo:           "  ",
		redo:           "  ",
		cut:            "",
		copy:           "",
		paste:          "",
        lefttoright:    "   ",
        righttoleft:    "     "
	},

	buttons: {
		"ok":           "OK",
		"cancel":       ""
	},

	msg: {
		"Path":         "",
		"TEXT_MODE":    "  TEXT MODE.     [<>]     WYSIWIG.",

       "IE-sucks-full-screen":	"        Internet Explorer, " +
       							"     browser.       Windows 9x " +
       							"    reboot.   ,  ."
       },

       dialogs: {
               "Cancel"                                            : "",
               "Insert/Modify Link"                                : "/ ",
               "New window (_blank)"                               : "  (_blank)",
               "None (use implicit)"                               : " ( )",
               "OK"                                                : "",
               "Other"                                             : "",
               "Same frame (_self)"                                : " frame (_self)",
               "Target:"                                           : "Target:",
               "Title (tooltip):"                                  : " (tooltip):",
               "Top frame (_top)"                                  : " frame (_top)",
               "URL:"                                              : "URL:",
               "You must enter the URL where this link points to"  : "    URL     "
       }
};
