<?php 
$langClarContent = "Here, lecturers and assistants create and administer
 courses websites. Students read (documents, agenda, information) and,
 sometimes, do exercises, publish papers, participate in
 forum discussions...</p><b>Registration</b><p>The following instructions
 only apply if your version of claroline allows self-registration (some sites
 register you automatically). <br />If you are a Student, you
 just need to register selecting 'Follow courses (student)', then choose
 the courses you would like to follow.</p><p>If you are a Lecturer or an
 Assistant, register too, but select 'Create courses (lecturer)'. You will
 then have to fill a form with Course Code, Faculty and Course Title. Once
 this is validated, you will be directed to the site you have just created and
 allowed to modify its content and organisation according to your
 requirements. </p><p>The 'To do' option is to allow feedback to your claroline website administrators.
 Things that you might post here include faults or suggestions for improvements. The 'To do'
 list is linked to on the Home Page of the campus (once
 logged in).</p>
<p>The support forum is different. It connects all Claroline users worldwide.
If you don't find the answer to a question inside your claroline campus and environment,
post a message there.</p>
<p>The link to Registration (if present) is on the Home Page of the campus
 (top right).</p><b>Login</b><p>On your next visit, type login/password
 and Ok to access your courses. The URL of the site is";
$langCourseContentComment1 = "What is the importance of the various content to be taught within the framework of the course?  What is the level of difficulty of this content?  How is the unit structured?  What will be the sequence of the content?  What does content lead to?";
$langCourseContentComment2 = "Presentation of the content of the course, the structuring of the content, the progression and the calendar";
$langDBSettingNamesIntro = "
The installer is going to create the main Claroline databases.
If you are limited by your database system administrator to use
only a single database, get back to the previous page
and select option 'single' for 'Database mode'.<br /><br />
";
$langDefaultModuleAddedComment = "This an additional introduction text about the presence of this module specially into this learning path. To replace it by your own text, click below on <b>modify</b>.";
$langDefaultModuleComment = "This is the introduction text of this module, it will appears in each learning path that contains this module. To replace it by your own text, click below on <b>modify</b>.";
$langDescriptionComment1 = "What is the place and the specificity of the course in the programme?  Do there exist pre-required courses?  What are the relationships to other courses?";
$langDescriptionComment2 = "Information allowing the course to be identified (initials, title, a number of hours, hands-on...) and teaching it (surname, first name, office, Tel., e-mail, possible availabilities).  General presentation of the course in the program.";
$langDocContent = "<p>The Documents tool is similar to the File Manager of
 your desktop computer.</p><p>You can upload files of any type (HTML, Word,
 Powerpoint, Excel, Acrobat, Flash, Quicktime, etc.). Your only concern
 must be that your students have the corresponding software to read them.
 Some file types can contain viruses, it is your responsibilty not to
 upload virus contaminated files. It is a worthwhile precaution to check
 documents with antivirus software before uploading them.</p>
<hr />
<h4>View modes</h4>
The Claroline document has 2 view mode
<ul>
<li>File list (default)</li>
<li>Thumbnail</li>
</ul>
You can switch between 'file list' and 'thumbnail' mode simply by clicking on
the 'File list | Thumbnails' commands  on the right in the directory toolbar.
<h4>The image viewer</h4>
<ul>
<li>Open the Image Viewer simply by clicking on the name of an image file in the File List mode
or on an image thumbnails in the Thumbnails Mode</li>
<li>Go to next or previous image y clicking on its name or its thumbnails
in the Image Viewer toolbar</li>
<li>Close the Image Viewer simply by clicking either on 'Thumbnails' or on 'File List' on the right
in the directory toolbar</li>
</ul>
<h4>Search a ressource</h4>
<ul>
<li>
Click on the 'Search command' in the upper side of your browser windows.
</li>
<li>
Enter your search patter. You can use '*' and '?' wildcards for complex research.
</li>
<li>
Click on the 'OK' button.
</li>
<li>
The search result wil be displayed just beside the directory toolbar.
</li>
</ul>
<hr />
<h4>Managing documents</h4>
This tool has a collection of commands allowing you to upload, edit and
organize your file ressources.
</hr />
<h4>Upload a document</h4>
<ul>
<li>
Click on the 'Upload file' command in the upper left.
</li>
<li>
Select the file on your computer using the 'Browse' button in the dialog box.
</li>
<li>
Optionnaly, you can attach a comment to this document. It will be displayed
just below the document line.
<blockquote><small>
<i>Note</i> If you upload a file collection gathered in archive file in <i>ZIP</i> format,
check the 'uncompress zipped (.zip) file on the server' option to extract them
automatically once the archive is uploaded in your course repositoy on the server.
</small></blockquote>
</li>
<li>
Launch the upload by clicking on the 'Upload' button.
</li>
</ul>
<h4>Create an hyperlink</h4>
<ul>
<li>
Click on the 'create hyperlink' command  in the upper side of your browser windows.
</li>
<li>
Fill the 'Name' field with a specific name to this hyperlink;
</li>
<li>
Type the complete URL of the hyperlink
(example : http://my.domain/my/file.htm).
</li>
<li>
Optionnaly, you can attach a comment to this hyperlink.
It will be displayed just below the hyperlink line.
</li>
</li>
<li>
Validate by clicking on the 'OK' button.
</li>
</ul>
<h4>Create an HTML document on line</h4>
<ul>
<li> Click on the 'Create document' command in the upper side of your browser windows.
</li>
<li>
Fill appearing 'Document name' field with a a name for this document.
</li>
<li>
Enter the document content in the 'Document content' area.
</li>
<li>
Click on the 'OK' button once finished.
</li>
</ul>
<p>
This command can be used for writing short documents. To write
longer texts we recommend you to use a more suitable tool on your personal
computer.
</p>
<h4>Rename a document, a directory or a hyperlink</h4>
<ul>
<li>Click on the icon in the 'Edit' column.
</li>
<li>
Type the new name in the field in the upper side of your browser window.
</li>
<li>
Optionally, you can also add or modify a comment attached to this document.
It will be displayed just below the document line.
</li>
<li>
Validate by clicking on the 'OK' button.
</li>
</ul>
<p>
<b>Tip. </b>
Documents are presented in alphabetical order. If you want to present them in a
different order, number them: 01, 02, 03...
</p>
<h4>Delete a document, a directory or a hyperlink</h4>
<ul>
<li>
Click on the icon beside the document in the 'Delete' column.</li>
</ul>
<h4>
Make a document, a directory or a hyperlink invisible to students
</h4>
<ul>
<li>
Click on the icon beside the document in the 'Visible/invisible' column.
</li>
<li>
The element still exists but it is not visible by students anymore.
</li>
<li>
To make it invisible back again, click once more on the icon beside the document
in the 'Visible/invisible' column.
</li>
</ul>
<h4>
Add or modify a comment to a document, a directory or a hyperlink
</h4>
<ul>
<li>
Click on the icon beside the document in the 'edit' column.
</li>
<li>
Type new comment in the corresponding field.
</li>
<li>
Validate by clicking on the 'OK' button.
</li>
</ul>
<p>
To delete a comment, click on the icon beside the document in the 'Edit' column,
delete the old comment in the field and click on the 'OK' button.
<h4>Create a directory</h4>
<ul>
<li>Click on the 'Create directory' command in the upper side of your browser window.
</li>
<li>
Type the name of your new directory in the corresponding field (top left).
</li>
<li>
Validate by clicking on the 'OK' button.
</li>
</ul>
<h4>
Move a document a directory or a hyperlink
</h4>
<ul>
<li>
Click on on the icon beside the concernent element in the 'Move' column.
</li>
<li>
Choose the directory into which you want to move the element in
the corresponding scrolling menu (top left)
<br />Note: the word 'root' means you cannot go higher than that level in the
document tree of the server).
</li>
<li>
Validate by clicking on the 'OK' button.
</li>
</ul>
<center>
<p>";
$langExerciseContent = "<h4>What is the exercise tool ?</h4>
This tool allow you to create online exercises composed of a list of questions. The questions can be of different kinds, students can fill in the exercises and if they are registered to your course, their scores will be stored and visible in the statitiscs of the course.
<hr />
<h4>Administering the exercises</h4>
<p>To create an Exercise</p>
<ul>
<li> Click on \"New exercise\", in the start page of the tool (be sure that you are loggued in as teacher of the course or admin)</li>
<li> Enter a name for the exercise in the box</li>
<li> Enter a description</li>
<li> Choose if the user will see all the questions on a single page or one page for each question</li>
<li> I you want to you can also modify the advanced settings (not required)
<ul>
<li> choose a start date</li>
<li> choose a end date</li>
<li> define a time limit</li>
<li> choose the number of allowed attempts</li>
<li> choose if anonymous attempts are allowed (if not allowed there will be no tracking)</li>
<li> choose when the feedback has to be shown</li>
</ul>
</li>
<li> Click on Ok</li>
</ul>
<p>You can now fill your new exercises with new questions or questions from the pool.</p>
<hr />
<h4>Questions</h4>
<h4>Multiple choice questions</h4>
<p>There are two kind of multiple choice question&nbsp;:
</p>
<ul>
<li> Question with unique answer</li>
<li> Question with multiple answer</li>
</ul>
<p>In both case, when you start creating a new question, there are only two possible answers displayed. If you wish to have more possible answers then</p>
<ul>
<li> Press +Answ for each additional answer you require</li>
</ul>
<p>If you wish the reduce the amount of possible answers then </p>
<ul>
<li> Press -Answ for each answer to be removed</li>
</ul>
<p>Then for each answer&nbsp;:</p>
<ul>
<li> Place a tick in the checkbox for the correct answer(s).</li>
<li> In the answer column Enter the text for the possible answers to the questions</li>
<li> In the comment column Enter feedback that is given if a student selects that answer.</li>
<li> Adjust the weighting value. The principle of this scoring table is to define proper weight to number of good answers by question. For instance, if you have a question with 4 answers (possibly more than one right) and the student has two wrong and two right, you can give him half of the points, but you can also decide that this is not satisfactory and give, for instance, maximum points (20) if everything is right and zero points in any other combination.
</li>
</ul>
<h4>Matching question</h4>
<p>In this type of question, the student will have to find the correspondance between the elements of to distinct list.</p>
<p>When you start creating a new question of that kind, there are only two elements in the two list displayed. If you wish to have more possible elements to correspond then</p>
<ul>
<li> Press +elem for each additional answer you require</li>
</ul>
<p>If you wish the reduce the amount of elements then </p>
<ul>
<li> Press -elem for each answer to be removed</li>
</ul>
<p>You can also define the weighting of each answer, they can not be negative. Don't forget to click on \"ok\" to validate your new question.</p>
<h4>'Fill in blanks' question</h4>
<p>This type of question is a text with some words missing that the student must fill in.
When you create such a question&nbsp;:
</p>
<ul>
<li> Introduce first the text for the question.</li>
<li> Use brackets [...] to define one or more blanks in the text, put the correct answers between the brackets.
<ul>
<li> <em>example:</em> [British people] live in [United Kingdom].</li>
</ul>
</li>
<li> Click on \"next\" when done</li>
<li> Define the ponderation for each answer</li>
<li> Click on \"Ok\" to validate your new question</li>
</ul>
<hr />
<h4>The Pool of questions</h4>
<p>The pool of questions keeps a list of all questions created in the course.  The lists regroups already used question (in one or several exercises) and orphaned question (that are not used in any exercise).</p>
<p>When you delete an exercise, questions of its own are not removed from the database, and can be reused in a new exercise, via the question pool.</p>
<p>The question pool also allows you to reuse the same questions in several exercises.</p>
<p>By default, all questions of your course are shown. You can show the questions related to an exercise, by chosing this one in the drop-down menu \"Filter\".</p>
<hr />
<h4>How to see my previous scores ?</h4>
<p>Every user can see its own scores below the list of exercises.  As a course manager you can click on the tracking link available for any exercise in the exercises list to have access to the detailled scores of each student of the course.</p>";
$langGroupContent = "<p><b>Introduction</b></p>
<p>This tool allows to create and manage work groups.
At creation (Create groups), groups are emtpy. There are
many ways to fill them:
<ul><li>automatically ('Fill groups'),</li>
<li>manually ('Edit'),</li>
<li>self-registration by students (Groups settings: 'Self registration allowed...').</li>
</ul>
These three ways can be combined. You can, for instance, ask students to self-register first.
Then discover that some of them didn't and decide then to fill groups automatically in
order to complete them. You can also edit each group to compose membership one student
at a time after or before self-registration and/or automatical filling.</p>
<p>Group filling, whether automatical or manual, works only if there are already students
registered in the course (don't mix registration to the course with registration into groups).
Students list is visible in <b>Users</b> tool. </p><hr noshade size=1>
<p><b>Create groups</b></p>
<p>To create new groups, click on 'Create new group(s)' and determine number of groups to
create. Maximum number of members is optional but we suggest to chose one. If you leave max. field
unchanged, groups size maximum will be infinite.</p><hr noshade size=1>
<p><b>Group settings</b></p>
<p>You can determine Group settings globally (for all groups).
<b>Students are allowed to self-register in groups</b>:
<p>You create empty groups, students self-register.
If you have defined a maximum number, full groups do not accept new members.
This method is good for teachers who do not know the list of students when
creating groups.</p>
<b>Tools</b>:</p>
<p>Every group possesses either a forum (private or public) or a Documents area
(a shared file manager) or (most frequently) both.</p>
<hr noshade size=1>
<p><b>Manual edit</b></p>
<p>Once groups are created (Create groups), you see at bottom of page, a list of groups
with a series of information and functions
<ul><li><b>Edit</b> to modify manually Group name, description, tutor,
members list.</li>
<li><b>Delete</b> deletes a group.</li></ul>
<hr noshade size=1>";
$langHelpAssignmentContent = "<p>
Assignment tool is a publication area for students. The course manager creates one or several assignment ( different zones of publication ) where the students will be able to publish their work.<br /><br />
Each assignment can have different objectives or requirements : publication must be a file, or a text or a text and a file, publication can be made for a groupe instead of for a single user,...<br /><br />
Students have the ability to modify their work after submission and the course manager can give them a feedback about their submissions.
</p>
<hr />
<h4>Create an assignment</h4>
<p>To create a new assignment course manager must enter in the assignment tool and click on the link \"Create a new assignment\".
</p>
<p>The form that is shown ask the course manager for&nbsp;:
</p>
<ul><li> a title&nbsp;: the name of the assignment
</li><li> a description&nbsp;: the statement of the assignment, what learners have to do
</li><li> a submission type&nbsp;:
<ul><li> File&nbsp;: any type of file that can be uploaded, keep in mind that there is a size limit that depends on the platform, a text can be joined to describe the file
</li><li> Text only&nbsp;: a text formatted using the wysiwyg editor
</li><li> Text with an attached file&nbsp;: a text formatted using the wysiwyg editor and a file (file is not required)
</li></ul>
</li><li> a start date&nbsp;: date from when the users will be able to post a publication in the assignment
</li><li> a end date&nbsp;: date until when the users will be able to post a publication in the assignment
</li><li> the default publications visibility&nbsp;: choose if the publications will be available or not to others users
</li><li> the assignment type&nbsp;:
<ul><li> individual mode&nbsp;: any authenticated user can post a publication
</li><li> group mode&nbsp;: the user must be a member of at least one group of the course to publish a work and the work will be posted in the name of the group
</li></ul>
</li><li> permission to upload after end date
</li></ul>
<p><br />
<strong>Add an automatic feedback</strong>
</p>
<p>A feedback is a correct version of the assignment.  To add an automatic feedback to an assignment enter the assignment and click on the \"Edit automatic feedback\" link.  </p>
<p>It can be a text or a file or both a text and a file.  The course manager can choose when this automatic feedback will be shown to users ( after assignment end date or after the first submission of the user in this assignment )
</p>
<hr />
<h4>Works</h4>
<p>Works are the publications uploaded by users.</p>
<p>For each assignment the tool shows a list of all users registered in the course and for each user the title of the first work he published, the number of submissions and the number of feedbacks.
The list of publications related to the user and the assignment can be view by clicking on the name of the user.</p>
<p><strong>Submit a work</strong></p>
<p>If the users has the right to submit a work he will be displayed a link to a submit form.</p>
<p><strong>Work list</strong></p>
<p>As a course manager you have the right to edit, delete, make visible/invisible any of the works.  You can also add a feedback for each work.
</p>
<ul>
<li> <strong>Modify</strong>&nbsp;: If this icon appears it means that user can modify the content of the work, it appears when user is the course manager, when user is looking at his works or at his group works.
</li>
<li> <strong>Delete</strong>&nbsp;: This command allow the course manager to delete a work.
</li>
<li> <strong>Visible</strong>&nbsp;: If this icon appears for a work, it means that the work is visible to the learners. This is just like in the document tool of Claroline. You can change this setting by clicking on the icon.
</li>
<li> <strong>Invisible</strong>&nbsp;: If this icon appears for a work, it means that the work is invisible to the learners. This is just like in the document tool of Claroline. You can change this setting by clicking on the icon.
</li>
<li> <strong>Add feedback</strong>&nbsp;: allows the course manager to publish a feedback about the work of the user.  A feedback can be a file or a text or both with a private comment that only course manager(s) will be able to see and a score in pourcent.
</li>
</ul>
";
$langHumanAndPhysicalResourcesComment1 = "What are the human and physical resources available?  What will be the nature of the framing?  What can the students expect from of the organisation team or the organisation of the teacher?";
$langHumanAndPhysicalResourcesComment2 = "Presentation of the other teachers who will organise the course (assistants, researchers, student-monitors...), of the availability of the people, the buildings and the equipment or computer equipement available.";
$langIntroCourse = "You are on the course home page.<br /><br />On this page, you can :
<ul>
<li>activate or deactivate tools (click on the 'Edit Tool list' button at bottom left).</li>
<li>change settings or view statistics (click on corresponding links at bottom).</li>
</ul>
Now, to add an introduction text presenting your course to students, click on this button ";
$langIntroEditToolList = "Select the tools you want to make visible for your user.
An invisible tool will be greyed out on your personal interface";
$langIntroLearningPath = "Use this tool to provide your students with a sequential path between documents, exercises, HTML pages, links,...<br /><br />If you want to present your learning path to students, click on the button below.<br />";
$langIntroText = "To send a message, select groups of users (marked with a * in the front)
 or single users from the list on the left.";
$langIntroWork = "This tool allows the teacher to create assignments in which any student (according to each assignment settings) will be able to upload a document, or write a text, on the course's website.
<br />You will be able to add a comment or a grade to each work.
<br /><br />If you want to present this tool or give some recommendations to students, click on the button below.<br />";
$langInvalidId = "Login failed.<br />Contact your administrator.";
$langMethodsOfEvaluationComment1 = "Precise details as to the means of evaluation (examinations written, oral, projects, work to be given...), date of formative evaluation preview(s), expiry dates for the handing-over of work, with the criteria of evaluation, possibly the weighting of the criteria or the categories of criteria.";
$langNotFalse = "This answer is not false. It is true that the revelation of the interlocutor's ignorance means showing the contradictory conclusions which lead from his premises.";
$langQualificationsAndGoalsComment1 = "What are the teaching aims?  At the end of the course, what qualifications, capacities and knowledge will students be able to control, to mobilize?";
$langQualificationsAndGoalsComment2 = "Presentation of the general and specific objectives of the course, of qualifications for which the control of such objectives could lead.";
$langRegisterLocalUrl = "Your campus url seems to be a local url.
A web accessible url is required to register your site on Claroline.net.<br /><br />
Check the value of 'Web base' in your Claroline configuration.";
$langRequestToTheCoderOfThisConfigToAddThesesProportiesInASectionOfTheDefinitionFile = "Request to the coder of this config to add theses proporties in a section of the definition file.";
$langRestoreCourseRepository = "Restore course repository";
$langRidiculise = "Ridiculise one's interlocutor in order to have him concede he is wrong.";
$langRoot = "root";
$langSampleLearnPathDesc = "This is a sample learning path, it uses the sample exercise and the sample document of the exercise tool and the document tool. Click on
                            <b>Modify</b> to change this text.";
$langSupportsComment1 = "Does course support exist?  What type of support do I give?  Opened?  Closed?";
$langSupportsComment2 = "Presentation of the support of course.  Presentation of the bibliography, the set of documents or a complementary bibliography.";
$langTeachingTrainingActivitiesComment1 = "What methods and which activities will support the objectives defined for the course?  What is the calendar of activities?";
$langTeachingTrainingActivitiesComment2 = "Presentation of the activities envisaged (authoritative reviews, participation expected of the students, practical work, laboratory meetings, visits, collection of information on the ground...).";
$langUseOfPool = "This page allows you to view all the modules available in this course. <br />
                     Any exercise or document that has been added in a learning path will also appear in this list.";
$langUsedInLearningPaths = "
Number of learning paths using this module : ";
$langUserContent = "<p>The 'Users' tool displays user informations in a digest table. Here is below the column descriptions resumed.
<ul>
<li>
<b>Name</b>. By clicking on the user name you can see additional informations concerning this user, like e-mail etc.
</li>
<li>
<b>Roles</b>.
Roles have no computer related function. They do not give rights on
operating the system. They just indicate to humans who is who. You can
modify them by clicking on the icon in the 'Edit' column, then typing whatever
you want: lecturer, assistant, student, visitor, expert...
</li>
<li>
<b>Group tutor</b>. Group tutor is a status allowing a user to coach a group more closely. It gives permission to this user to access all the group area and to see and edit messages on the group forum. You can
modify this status by clicking on the icon in the 'Edit' column.
</li>
<li>
<b>Course manager</b>. This status is reserved to the people who manage and administrate the course. You can
modify this status by clicking on the icon in the 'Edit' column.
</li>
<li>
<b>Edit</b> (restricted to course manager). This commands allows course managers to edit user informations related to this course. Course managers are not allowed to modify personal user information like e-mail, name etc, only the data directly related to the course ,like role, tutor status, course manager status, etc. With this command, course managers are also able to create new headings dedicated only this course (see the 'define headings' button in the user details page). Once headings are defined,each student will be able to fill them.
</li>
<li>
<b>Unregister</b> (restricted to course manager). This command allows course manager to remove a user from their course. It doesn't mean the user account don't exist anymore, but only that this account is not enrolled to this course.
</li>
</ul>
<h4>
Main commands
</h4>
<ul>
<li>
<b>Add a user</b>. Click on this command to add a user for this course, fill the fields and validate. The person will receive an e-mail telling them they have been registered him/her and telling or reminding them of their login and password.
</li>
<li><b>Add a list of users</b></li> Click on this command to add in a list of several users with a file in CSV format.
</li>
<li>
<b>Subscribe a class</b>. Click on this command to add a collection of users gathered by classes predefined by the platform administrator.
</li>
<li>
<b>Group management</b>. Allows to go directly to the group management tool.
</li>
</ul>
<h4>Tips</h4>
<p>
To allow an assistant, for instance, to co-admin the site, you need to register him in the course or be sure he is already registered, then click on 'modify' under 'admin rights', then click 'all', then 'Ok'. Co-chairman
</p>
<p>
To mention in the header of the course web site the name of a co-chairman, use the tool 'Modify course information' (orange tools). This modification does not register your co-chairman as a user of the course. The field 'Lecturers' is completely independent of the Users list.
Add a user
</p>";
$langWikiAccessControlText = "You can set access rights for users using the following grid : ";
$langWikiConflictHowTo = "<p><strong>Edit conflict</strong> : The page you try to save seems to have been changed since you modify it.<br /><br />
What to do now ?<ul>
<li>You can copy/paste your modification to a text editor (like notepad) and click on 'edit last version' to try to add your modification to the new version of the page.</li>
<li>You can also click on cancel to cancel your changes.</li>
</ul></p>";
$langWikiHelpAdminContent = "<h3>Wiki administration help</h3>
<dl class=\"wikiHelp\">
<dt>How to create a new Wiki ?</dt>
<dd>Click on the link 'Create a new Wiki'. Then enter the properties of the Wiki :
<ul>
<li><b>Title of the Wiki</b> : choose a title for the Wiki</li>
<li><b>Description of the Wiki</b> : choose a description for the Wiki</li>
<li><b>Access control management</b> : set the access ontrol of the Wiki by checking/uncheking the box (see below)</li>
</ul>
</dd>
<dt>How to enter a Wiki ?</dt>
<dd>Click on the title of the Wiki in the list.</dd>
<dt>How to change the properties of a Wiki ?</dt>
<dd>Click on the icon in the 'Properties' column in the Wiki list to go to the Wiki properties form.</dd>
<dt>How to use the Access control management options ?</dt>
<dd>You can set the access rights for users by checking/unchecking the box in the 'Access control management' section of Wiki properties.
 You can grant/ungrant access to three types of users :<ul>
<li><b>Course members</b> : users enroll to the course (except the course managers)</li>
<li><b>Group members</b> (only available whithin a group) : users which are members of the group (expect the group's tutors)</li>
<li><b>Other users</b> : anonymous users or users which are not course members</li></ul>
For each user type, you can grant three type of privileges to the Wiki(*) :<ul>
<li><b>Read pages</b> : the user of the given type can read the pages of the Wiki</li>
<li><b>Edit pages</b> : the user of the given type can modify the content of th pages of the Wiki</li>
<li><b>Create pages</b> : the user of the given type can create new pages in the Wiki</li>
</ul><small><em>(*) Note that if a user cannot read the pages of a Wiki, he cannot edit or modify them. Note that if a user cannot edit the pages of a Wiki, he cannot create new pages.</em></small></dd>
<dt>How to delete a Wiki ?</dt>
<dd>Click on the icon in the 'Delete' column to delete a Wiki and all its pages.</dd>
<dt>How to get the list of the pages in a Wiki ?</dt>
<dd>Click on the number of pages of this Wiki in the Wiki list.</dd>
<dt>How to get the list of the last modified pages in a Wiki ?</dt>
<dd>Click on the icon in the 'Recent changes' column in the Wiki list.</dd>
</dl>";
$langWikiHelpSyntax = "Wiki syntax";
$langWikiHelpSyntaxContent = "<h1>Wiki Syntax</h1>
<h2>1. Basic syntax</h2>
<dl class=\"wikiHelp\">
<dt>Creating wiki pages and links between them</dt>
<dd><strong>Wiki words</strong> : Wiki words are words written like <em>WikiWord</em>. Wiki2xhtml automaticaly recognise them as Wiki page links. To create a wiki page or to create a link to a wiki page, edit an existing one and add the title of the page in WikiWord syntax, for example <em>MyPage</em>, then save the page. Wiki2xhtml will automaticaly replace the Wiki Word <em>MyPage</em> with a link to the Wiki page <em>MyPage</em>&nbsp;;</dd>
<dd><strong>Wiki links</strong> : Wiki links are like Hyperlinks (see below) expect that they do not contain any protocol scheme (like <em>http://</em> or <em>ftp://</em>) and thatthey are automaticaly recognise as links to Wiki pages. To create a new page or create a link to an existing one using Wiki links, edit a page and add <code>[page title]</code> or <code>[name of link|title of page]</code> to its content. You can also use this syntax to change the text of a WikiWord link : <code>[name of link|WikiWord]</code>.</dd>
<dt>Hyperlinks</dt>
<dd><code>[url]</code>, <code>[name|url]</code>, <code>[name|url|language]</code> or <code>[name|url|language|title]</code>.&nbsp;;</dd>
<dt>Image inclusion</dt>
<dd><code>((url|alternate text))</code>, <code>((url|alternate text|position))</code> ou <code>((url|alternate text|position|long description))</code>. <br />The position argument can take the following values : L (left), R (right) or C (center).&nbsp;;</dd>
<dd>You can use the syntax as Hyperlinks. For example <code>[title|image.gif]</code>. This syntax is deprecated, consider to use the preceding one&nbsp;;</dd>
<dt>Link to an image</dt>
<dd>same as Hyperlinks but put a 0 in fourth argument to avoid image recognition and get an hyperlink to an image. For example <code>[image|image.gif||0]</code> will display a link to image.gif instead of display the imge itself</dd>
<dt>Layout</dt>
<dd><strong>Italic</strong> : surround your text with two single quotes <code>''text''</code>&nbsp;;</dd>
<dd><strong>Bold</strong> : surround your text with three single quotes underscores <code>'''text'''</code>&nbsp;;</dd>
<dd><strong>Underline</strong> : surround your text with two underscores <code>__text__</code>&nbsp;;</dd>
<dd><strong>Stroke</strong> : surround your text with two minus symbols <code>--text--</code>&nbsp;;</dd>
<dd><strong>Title</strong> : <code>!!!</code>, <code>!!</code>, <code>!</code> respectively for titles, sub-titles and sub-sub-titles&nbsp;;</dd>
<dt>List</dt>
<dd>line starting with <code>*</code> (unordered list) or <code>#</code> (ordered list). You can mix lists (<code>*#*</code>) to create multi-level lists.&nbsp;;</dd>
<dt>Paragraph</dt>
<dd>Separate paragraphs with one or more new lines&nbsp;;</dd>
</dl>
<h2>2. Advanced syntax</h2>
<dl class=\"wikiHelp\">
<dt>Footnote</dt>
<dd><code>\$\$footnote text\$\$</code>&nbsp;;</dd>
<dt>Preformated text</dt>
<dd>begin each line of preformated text with a blank space&nbsp;;</dd>
<dt>Cite block</dt>
<dd><code>&gt;</code> or <code>;:</code> before each line&nbsp;;</dd>
<dt>Horizontal line</dt>
<dd><code>----</code>&nbsp;;</dd>
<dt>Forced line break</dt>
<dd><code>%%%</code>&nbsp;;</dd>
<dt>Acronym</dt>
<dd><code>??acronym??</code> or <code>??acronym|definition??</code>&nbsp;;</dd>
<dt>Inline cite</dt>
<dd><code>{{cite}}</code>, <code>{{cite|language}}</code> or <code>{{cite|language|url}}</code>&nbsp;;</dd>
<dt>Code</dt>
<dd><code>@@your code here@@</code>&nbsp;;</dd>
<dt>Named anchor</dt>
<dd><code>~anchor~</code>&nbsp;;</dd>
</dl>";
$langWikiPreviewWarning = "WARNING: this page is a preview. Your modifications to the wiki has not been saved yet ! To save them do not forget to click on the 'save' button at the bottom of the page.";
$lang_cancel_the_operation = "Cancel the operation";
$lang_click_on_the_enrollment_command_beside_the_concerned_user = "Click on the Enrollment command beside the concerned user to enroll him or her to the course";
$lang_confirm_the_creation_of_a_new_user = "Confirm the creation of a new user";
$lang_notice = "Notice.";
$lang_take_one_of_these_choices = "Take one of these choices";
$lang_users_with_similar_settings_exists_on_the_system_yet = "One or more users with similar settings exist on the system yet.";
?>