<?php 
$langAdmitError = "Admit one's own errors to invite one's interlocutor to do the same.";
$langAlertBlockingMakedInvisible = "This module is blocked.
Making it invisible will allow students to access
 the next module without having to complete this one.
Confirm ?";
$langAlertBlockingPathMadeInvisible = "This path is blocking.
Making it invisible will allow students to access
 the next path without having to complete this one.
Confirm ?";
$langAltClarodoc = "Clarodoc";
$langAltMakeNotBlocking = "Unblock";
$langAltMoveUp = "Order up";
$langAreYouSureToDeleteScorm = "This learning path is part of a SCORM importation package. If you delete this path, all its SCORM conformant modules and related files will be deleted from the platform.  Are you sure you want to delete the learning path named ";
$langAreYouSureToRemoveSCORM = "SCORM conformant modules are definitively removed from server when deleted in their learning path.";
$langAuthenticationRequired = "Authentication Required";
$langBuildMissingLangFile = "Missing language files";
$langBuildProductionLangFile = "Production language files";
$langChooseYourPassword = "Choose now a username and a password for the user account.";
$langContradiction = "Use the Principle of Non Contradiction to force one's interlocutor into a dead end.";
$langCorrespondsTo = "Corresponds to";
$langDbPrefixForm = "Prefix for names of course databases";
$langDefaultModuleAddedComment = "This an additional introduction text about the presence of this module specially into this learning path. To replace it by your own text, click below on <b>modify</b>.";
$langDefaultModuleComment = "This is the introduction text of this module, it will appears in each learning path that contains this module. To replace it by your own text, click below on <b>modify</b>.";
$langDefaultTextInBlanks = "[British people] live in [United Kingdom].";
$langDefcon = "Ooops, stranges cases detected !!";
$langDepartmentUrl = "Department URL";
$langDepartmentUrlName = "Department";
$langDescriptionComment1 = "What is the place and the specificity of the course in the programme?  Do there exist pre-required courses?  What are the relationships to other courses?";
$langDescriptionComment2 = "Information allowing the course to be identified (initials, title, a number of hours, hands-on...) and teaching it (surname, first name, office, Tel., e-mail, possible availabilities).  General presentation of the course in the program.";
$langDocInsertedAsModule = "has been added as module";
$langDocumentAlreadyUsed = "This document is already used as a module in this learning path";
$langDocumentInModule = "Document in module";
$langDown = "Order down";
$langEXERCISETypeDesc = "Claroline exercise";
$langErrorCreatingManifest = "Unable to create the SCORM manifest (imsmanifest.xml)";
$langErrorDepartmentEmpty = "Department can not be empty";
$langErrorDepartmentURLEmpty = "Department URL can not be empty";
$langErrorDepartmentURLWrong = "Department URL is invalid";
$langErrorNameAlreadyExists = "Error : Name already exists in the learning path or in the module pool";
$langErrorNoModuleInPackage = "No module in package";
$langErrorOpeningManifest = "Cannot find <i>manifest</i> file in the package.<br /> File not found : imsmanifest.xml";
$langErrorOpeningXMLFile = "Cannot find secondary initialisation file in the package.<br /> File not found : ";
$langErrorReadingManifest = "Error reading <i>manifest</i> file";
$langErrorReadingXMLFile = "Error reading a secondary initialisation file : ";
$langErrorValuesInDouble = "Error : One or more values are doubled";
$langErrortExtractingManifest = "Cannot extract manifest from zip file (corrupted file ? ).";
$langExAlreadyUsed = "This exercise is already used as a module in this learning path";
$langExInsertedAsModule = "has been added as a module of the course and of this learning path";
$langExerciseAsModule = "Use an exercise";
$langExerciseCancelled = "Exercise cancelled, choose a module in the list to continue.";
$langExerciseContent = "<h4>What is the exercise tool ?</h4>
This tool allow you to create online exercises composed of a list of questions. The questions can be of different kinds, students can fill in the exercises and if they are registered to your course, their scores will be stored and visible in the statitiscs of the course.
<hr />
<h4>Administering the exercises</h4>
<p>To create an Exercise</p>
<ul>
<li> Click on \"New exercise\", in the start page of the tool (be sure that you are loggued in as teacher of the course or admin)</li>
<li> Enter a name for the exercise in the box</li>
<li> Enter a description</li>
<li> Choose if the user will see all the questions on a single page or one page for each question</li>
<li> I you want to you can also modify the advanced settings (not required)
<ul>
<li> choose a start date</li>
<li> choose a end date</li>
<li> define a time limit</li>
<li> choose the number of allowed attempts</li>
<li> choose if anonymous attempts are allowed (if not allowed there will be no tracking)</li>
<li> choose when the feedback has to be shown</li>
</ul>
</li>
<li> Click on Ok</li>
</ul>
<p>You can now fill your new exercises with new questions or questions from the pool.</p>
<hr />
<h4>Questions</h4>
<h4>Multiple choice questions</h4>
<p>There are two kind of multiple choice question&nbsp;:
</p>
<ul>
<li> Question with unique answer</li>
<li> Question with multiple answer</li>
</ul>
<p>In both case, when you start creating a new question, there are only two possible answers displayed. If you wish to have more possible answers then</p>
<ul>
<li> Press +Answ for each additional answer you require</li>
</ul>
<p>If you wish the reduce the amount of possible answers then </p>
<ul>
<li> Press -Answ for each answer to be removed</li>
</ul>
<p>Then for each answer&nbsp;:</p>
<ul>
<li> Place a tick in the checkbox for the correct answer(s).</li>
<li> In the answer column Enter the text for the possible answers to the questions</li>
<li> In the comment column Enter feedback that is given if a student selects that answer.</li>
<li> Adjust the weighting value. The principle of this scoring table is to define proper weight to number of good answers by question. For instance, if you have a question with 4 answers (possibly more than one right) and the student has two wrong and two right, you can give him half of the points, but you can also decide that this is not satisfactory and give, for instance, maximum points (20) if everything is right and zero points in any other combination.
</li>
</ul>
<h4>Matching question</h4>
<p>In this type of question, the student will have to find the correspondance between the elements of to distinct list.</p>
<p>When you start creating a new question of that kind, there are only two elements in the two list displayed. If you wish to have more possible elements to correspond then</p>
<ul>
<li> Press +elem for each additional answer you require</li>
</ul>
<p>If you wish the reduce the amount of elements then </p>
<ul>
<li> Press -elem for each answer to be removed</li>
</ul>
<p>You can also define the weighting of each answer, they can not be negative. Don't forget to click on \"ok\" to validate your new question.</p>
<h4>'Fill in blanks' question</h4>
<p>This type of question is a text with some words missing that the student must fill in.
When you create such a question&nbsp;:
</p>
<ul>
<li> Introduce first the text for the question.</li>
<li> Use brackets [...] to define one or more blanks in the text, put the correct answers between the brackets.
<ul>
<li> <em>example:</em> [British people] live in [United Kingdom].</li>
</ul>
</li>
<li> Click on \"next\" when done</li>
<li> Define the ponderation for each answer</li>
<li> Click on \"Ok\" to validate your new question</li>
</ul>
<hr />
<h4>The Pool of questions</h4>
<p>The pool of questions keeps a list of all questions created in the course.  The lists regroups already used question (in one or several exercises) and orphaned question (that are not used in any exercise).</p>
<p>When you delete an exercise, questions of its own are not removed from the database, and can be reused in a new exercise, via the question pool.</p>
<p>The question pool also allows you to reuse the same questions in several exercises.</p>
<p>By default, all questions of your course are shown. You can show the questions related to an exercise, by chosing this one in the drop-down menu \"Filter\".</p>
<hr />
<h4>How to see my previous scores ?</h4>
<p>Every user can see its own scores below the list of exercises.  As a course manager you can click on the tracking link available for any exercise in the exercises list to have access to the detailled scores of each student of the course.</p>";
$langExerciseDone = "Exercise done, choose a module in the list to continue.";
$langExerciseInModule = "Exercise in module";
$langExportTrackingCsv = "Get tracking data in a CSV file";
$langExternalToolName = "Name link";
$langExternalToolUrl = "URL link";
$langFillToolCourses = "Fill tool courses";
$langFindDoubledVariable = "Find doubled variables";
$langForContent = "The forum is a written and asynchronous discussion tool.
 Whereas email allows one-to-one dialogue, forums allow public or semi-public
 dialogue.</p><p>Technically speaking, the students need only their
 browser to use claroline forums.</P><p>To organise forums, click on
 'Administer'. Discussions are organised in sets and subsets as
 following:</p><p><b>Category > Forum > Topic > Answers</b></p>To structure
 your students' discussions, it is necessary to organise catgories and
 forums beforehand, leaving the creation of topics and answers to them. By
 default, the claroline forum contains only the category 'Public', a sample
 forum and a sample topic.</p><p>The first thing you should do is delete
 the sample topic and modify the first forum's name. Then, you can
 create, in the 'public' category, other forums, by groups or by themes, to
 fit your learning scenario requirements.</p><p>Don't mix Categories and
 forums, and don't forget that an empty category (without forums) does not
 appear in the student view.</p><p>The description of a forum can be the
 list of its members, the definition of a goal, a task, a theme...";
$langForce = "Compel one's interlocutor, by a series of questions and sub-questions, to admit he doesn't know what he claims to know.";
$langFormula = "Yours sincerely";
$langGroupFilledGroups = "Groups have been filled (or completed) by students present in the 'Users' list.";
$langGroupPlacesThis = "seats (optional)";
$langGroupSpace = "Group area";
$langGroupSpaceLink = "Group area";
$langGroupTooMuchMembers = "Number proposed exceeds max. that you allowed (you can modify it below).
                Group composition has not been modified";
$langHereyoucanmodifythecontentofthetextzonesdisplayedontheplatformhomepage = "Here you can modify the content of the text zones displayed on the platform home page.";
$langHits = "Hits";
$langHomeContent = "For convenience, claroline tools contain default entries.
 There is a small example in every tool to help you quickly grasp how it
 works. It is up to you to modify the example or to delete it.</p><p>For
 instance, here on the Home Page of your course website,there is a small
 introduction text saying 'This is the introduction text of your course. To
 replace it by your own text, click below on modify.' Click on modify, edit
 it and Ok. It's that simple. Every tool has the same logic:
 add, delete, modify, which is the logic of dynamic websites.</p><p>When
 you first create your website, most of the tools are active. Here again,
 it is up to you to deactivate the ones you don't need. You just have to
 click on 'deactivate'. Then it goes down to the grey section of your
 homepage and becomes invisible to your students.  However, you can
 reactivate it whenever you want, making it visible to the students once more.</p>
<p>You can add your own pages to your
 Home Page. These pages must be HTML pages (which can be created by any
 Word Processor or Web Composer). Use 'Upload page and link to Homepage' to
 send your page to the server. The standard header of your website will be
 automatically merged with your new document, so that you just need to
 concentrate on the content. If you want to link from your Home to
 existing websites or pages existing anywhere on the web (even inside your
 own site), use 'Add link on Homepage' The pages you have added to the Home
 page can deactivated then deleted, where the standard tools can be
 deactivated, but not deleted.</p><p>Once your course website is ready, go
 to 'Modify course info' and decide what level of confidentiality you want.
 By default, your course is hidden (because you work on it).</p>";
$langImpossibleToPromote = "Impossible to promote group tutor a student already register to group";
$langIn = "in";
$langIncorrectDate = "Start date must be before end date ...";
$langIndeed = "Indeed. Socratic irony is an interrogative method. The Greek \"eirotao\" means \"ask questions\"";
$langIntroLearningPath = "Use this tool to provide your students with a sequential path between documents, exercises, HTML pages, links,...<br /><br />If you want to present your learning path to students, click on the button below.<br />";
$langIntroText = "To send a message, select groups of users (marked with a * in the front)
 or single users from the list on the left.";
$langIntroWork = "This tool allows the teacher to create assignments in which any student (according to each assignment settings) will be able to upload a document, or write a text, on the course's website.
<br />You will be able to add a comment or a grade to each work.
<br /><br />If you want to present this tool or give some recommendations to students, click on the button below.<br />";
$langLasting = "Lasting";
$langLessAnswers = "Rem. answ.";
$langLessElements = "Rem. elem.";
$langLoginWithoutAccess = "Logins not used";
$langLostPassword = "Lost password";
$langMailSynthaxError = "Mail synthax error.";
$langMakeCorrespond = "Make correspond";
$langMemorizeYourPassord = "Memorize them, you will use them the next time you will enter to this site.";
$langMethodsOfEvaluationComment1 = "Precise details as to the means of evaluation (examinations written, oral, projects, work to be given...), date of formative evaluation preview(s), expiry dates for the handing-over of work, with the criteria of evaluation, possibly the weighting of the criteria or the categories of criteria.";
$langNoFunctionInThisSection = "No function in this extension";
$langNoMoreAttemptsAvailable = "You have reached the maximum number of allowed attempts.";
$langNoMoreModuleToAdd = "All modules of this course are already used in this learning path.";
$langNoPsychology = "No. Socratic irony is not a matter of psychology, it concerns argument.";
$langNoSeduction = "No. Socratic irony is not a seduction strategy nor a method based on the example.";
$langNoStartAsset = "There is no start asset defined for this module.";
$langNoTrackingForExerciseAttempt = "There is no tracking for this attempt.";
$langNoVisibleSubmission = "No visible submission";
$langNotFalse = "This answer is not false. It is true that the revelation of the interlocutor's ignorance means showing the contradictory conclusions which lead from his premises.";
$langNotGroupMember = "You are not a member of this groups";
$langNoticeInstallFolderBrowsable = "<b>Notice :</b> The directory containing your Claroline installation process (<code>claroline/install/</code>) is still browsable by the web. It means anyone can reinstall Claroline and crush your previous installation. We highly recommend to protect this directory or to remove it from your server";
$langOkManifestFound = "Manifest found in zip file : ";
$langOkManifestRead = "Manifest read.";
$langOldToNew = "Oldest first";
$langOn = "On";
$langOneMyGroups = "my supervision";
$langOrderUp = "Order up";
$langOrphanQuestions = "Orphan questions";
$langPlaces = "seats by groups (optional)";
$langPleaseEnterMessage = "You must introduce the message text.";
$langPropertiesNotIncludeInSections = "Properties not include in sections";
$langQtyOfUserCanSubscribe_PartAfterNumber = "&nbsp;groups";
$langRandomLanguage = "Shuffle selection in available languages";
$langRequestToTheCoderOfThisConfigToAddThesesProportiesInASectionOfTheDefinitionFile = "Request to the coder of this config to add theses proporties in a section of the definition file.";
$langRevoquationOfUser = "Revocation of %s %s";
$langRidiculise = "Ridiculise one's interlocutor in order to have him concede he is wrong.";
$langSCORMTypeDesc = "SCORM 1.2 conformable content";
$langSDK = "SDK";
$langScormIntroTextForDummies = "Imported packages must consist of a zip file and be SCORM 1.2 conformable";
$langSimpleExercise = "On an unique page";
$langSize_of_course_repository = "!!!! size of course repository (include claroline and garbage in old systems)";
$langSocraticIrony = "Socratic irony is...";
$langSpecifyFormat = "You must specify the CSV format used in your file";
$langStatsOfExerciseAttempt = "Statistics of exercise attempt";
$langStatus = "Action";
$langStudentQty = "Nb. Students";
$langSubscriptionAllowedOnly = "Subscription allowed only ";
$langSubscriptionDeniedOnly = "Subscription denied only";
$langSupportsComment1 = "Does course support exist?  What type of support do I give?  Opened?  Closed?";
$langSupportsComment2 = "Presentation of the support of course.  Presentation of the bibliography, the set of documents or a complementary bibliography.";
$langTake = "take";
$langTargetFac = "This is the faculty, department or school where the course is delivered";
$langTeacherQty = "Nb. Teachers";
$langTeachingTrainingActivitiesComment1 = "What methods and which activities will support the objectives defined for the course?  What is the calendar of activities?";
$langTeachingTrainingActivitiesComment2 = "Presentation of the activities envisaged (authoritative reviews, participation expected of the students, practical work, laboratory meetings, visits, collection of information on the ground...).";
$langTheSystemIsCaseSensitive = "The system is case sensitive.";
$langTrackExerciseError = "Details may be incorrect as it seems that some questions have change between this attempt and now.";
$langTrackNotEnoughAttempts = "You must reach the maximum number of allowed attempts to view these statistics.";
$langWarning = "Warning.";
$langWikiConflictHowTo = "<p><strong>Edit conflict</strong> : The page you try to save seems to have been changed since you modify it.<br /><br />
What to do now ?<ul>
<li>You can copy/paste your modification to a text editor (like notepad) and click on 'edit last version' to try to add your modification to the new version of the page.</li>
<li>You can also click on cancel to cancel your changes.</li>
</ul></p>";
$langWikiEditConflict = "Edit conflict";
$langWikiHelpAdminContent = "<h3>Wiki administration help</h3>
<dl class=\"wikiHelp\">
<dt>How to create a new Wiki ?</dt>
<dd>Click on the link 'Create a new Wiki'. Then enter the properties of the Wiki :
<ul>
<li><b>Title of the Wiki</b> : choose a title for the Wiki</li>
<li><b>Description of the Wiki</b> : choose a description for the Wiki</li>
<li><b>Access control management</b> : set the access ontrol of the Wiki by checking/uncheking the box (see below)</li>
</ul>
</dd>
<dt>How to enter a Wiki ?</dt>
<dd>Click on the title of the Wiki in the list.</dd>
<dt>How to change the properties of a Wiki ?</dt>
<dd>Click on the icon in the 'Properties' column in the Wiki list to go to the Wiki properties form.</dd>
<dt>How to use the Access control management options ?</dt>
<dd>You can set the access rights for users by checking/unchecking the box in the 'Access control management' section of Wiki properties.
 You can grant/ungrant access to three types of users :<ul>
<li><b>Course members</b> : users enroll to the course (except the course managers)</li>
<li><b>Group members</b> (only available whithin a group) : users which are members of the group (expect the group's tutors)</li>
<li><b>Other users</b> : anonymous users or users which are not course members</li></ul>
For each user type, you can grant three type of privileges to the Wiki(*) :<ul>
<li><b>Read pages</b> : the user of the given type can read the pages of the Wiki</li>
<li><b>Edit pages</b> : the user of the given type can modify the content of th pages of the Wiki</li>
<li><b>Create pages</b> : the user of the given type can create new pages in the Wiki</li>
</ul><small><em>(*) Note that if a user cannot read the pages of a Wiki, he cannot edit or modify them. Note that if a user cannot edit the pages of a Wiki, he cannot create new pages.</em></small></dd>
<dt>How to delete a Wiki ?</dt>
<dd>Click on the icon in the 'Delete' column to delete a Wiki and all its pages.</dd>
<dt>How to get the list of the pages in a Wiki ?</dt>
<dd>Click on the number of pages of this Wiki in the Wiki list.</dd>
<dt>How to get the list of the last modified pages in a Wiki ?</dt>
<dd>Click on the icon in the 'Recent changes' column in the Wiki list.</dd>
</dl>";
$langWikiHelpSyntax = "Wiki syntax";
$langWikiHelpSyntaxContent = "<h1>Wiki Syntax</h1>
<h2>1. Basic syntax</h2>
<dl class=\"wikiHelp\">
<dt>Creating wiki pages and links between them</dt>
<dd><strong>Wiki words</strong> : Wiki words are words written like <em>WikiWord</em>. Wiki2xhtml automaticaly recognise them as Wiki page links. To create a wiki page or to create a link to a wiki page, edit an existing one and add the title of the page in WikiWord syntax, for example <em>MyPage</em>, then save the page. Wiki2xhtml will automaticaly replace the Wiki Word <em>MyPage</em> with a link to the Wiki page <em>MyPage</em>&nbsp;;</dd>
<dd><strong>Wiki links</strong> : Wiki links are like Hyperlinks (see below) expect that they do not contain any protocol scheme (like <em>http://</em> or <em>ftp://</em>) and thatthey are automaticaly recognise as links to Wiki pages. To create a new page or create a link to an existing one using Wiki links, edit a page and add <code>[page title]</code> or <code>[name of link|title of page]</code> to its content. You can also use this syntax to change the text of a WikiWord link : <code>[name of link|WikiWord]</code>.</dd>
<dt>Hyperlinks</dt>
<dd><code>[url]</code>, <code>[name|url]</code>, <code>[name|url|language]</code> or <code>[name|url|language|title]</code>.&nbsp;;</dd>
<dt>Image inclusion</dt>
<dd><code>((url|alternate text))</code>, <code>((url|alternate text|position))</code> ou <code>((url|alternate text|position|long description))</code>. <br />The position argument can take the following values : L (left), R (right) or C (center).&nbsp;;</dd>
<dd>You can use the syntax as Hyperlinks. For example <code>[title|image.gif]</code>. This syntax is deprecated, consider to use the preceding one&nbsp;;</dd>
<dt>Link to an image</dt>
<dd>same as Hyperlinks but put a 0 in fourth argument to avoid image recognition and get an hyperlink to an image. For example <code>[image|image.gif||0]</code> will display a link to image.gif instead of display the imge itself</dd>
<dt>Layout</dt>
<dd><strong>Italic</strong> : surround your text with two single quotes <code>''text''</code>&nbsp;;</dd>
<dd><strong>Bold</strong> : surround your text with three single quotes underscores <code>'''text'''</code>&nbsp;;</dd>
<dd><strong>Underline</strong> : surround your text with two underscores <code>__text__</code>&nbsp;;</dd>
<dd><strong>Stroke</strong> : surround your text with two minus symbols <code>--text--</code>&nbsp;;</dd>
<dd><strong>Title</strong> : <code>!!!</code>, <code>!!</code>, <code>!</code> respectively for titles, sub-titles and sub-sub-titles&nbsp;;</dd>
<dt>List</dt>
<dd>line starting with <code>*</code> (unordered list) or <code>#</code> (ordered list). You can mix lists (<code>*#*</code>) to create multi-level lists.&nbsp;;</dd>
<dt>Paragraph</dt>
<dd>Separate paragraphs with one or more new lines&nbsp;;</dd>
</dl>
<h2>2. Advanced syntax</h2>
<dl class=\"wikiHelp\">
<dt>Footnote</dt>
<dd><code>\$\$footnote text\$\$</code>&nbsp;;</dd>
<dt>Preformated text</dt>
<dd>begin each line of preformated text with a blank space&nbsp;;</dd>
<dt>Cite block</dt>
<dd><code>&gt;</code> or <code>;:</code> before each line&nbsp;;</dd>
<dt>Horizontal line</dt>
<dd><code>----</code>&nbsp;;</dd>
<dt>Forced line break</dt>
<dd><code>%%%</code>&nbsp;;</dd>
<dt>Acronym</dt>
<dd><code>??acronym??</code> or <code>??acronym|definition??</code>&nbsp;;</dd>
<dt>Inline cite</dt>
<dd><code>{{cite}}</code>, <code>{{cite|language}}</code> or <code>{{cite|language|url}}</code>&nbsp;;</dd>
<dt>Code</dt>
<dd><code>@@your code here@@</code>&nbsp;;</dd>
<dt>Named anchor</dt>
<dd><code>~anchor~</code>&nbsp;;</dd>
</dl>";
$lang_cancel_the_operation = "Cancel the operation";
$lang_click_on_the_enrollment_command_beside_the_concerned_user = "Click on the Enrollment command beside the concerned user to enroll him or her to the course";
$lang_confirm_the_creation_of_a_new_user = "Confirm the creation of a new user";
$lang_notice = "Notice.";
$lang_take_one_of_these_choices = "Take one of these choices";
$lang_users_with_similar_settings_exists_on_the_system_yet = "One or more users with similar settings exist on the system yet.";
$lang_you_had_request = "You ask";
?>