<?php // $Id: extAuthProcess.inc.php,v 1.5.2.2 2006/06/06 14:13:27 moosh Exp $
if ( ! defined('CLARO_INCLUDE_ALLOWED') ) die('---');
/**
 * CLAROLINE
 *
 * @version 1.7 $Revision: 1.5.2.2 $
 *
 * @copyright (c) 2001-2005 Universite catholique de Louvain (UCL)
 *
 * @license http://www.gnu.org/copyleft/gpl.html (GPL) GENERAL PUBLIC LICENSE
 *
 * @package CLAUTH
 *
 * @author Claro Team <cvs@claroline.net>
 */

require_once(dirname(__FILE__) . '/../../inc/lib/extauth.lib.php');

$extAuth = new ExternalAuthentication($authSourceType, $extAuthOptionList);
$extAuth->setAuthSourceName($authSourceName);

if ( $extAuth->isAuth() )
{
    if ( isset($uData['user_id']) )
    {
       // update the user data in the claroline user table

       $extAuth->recordUserData($extAuthAttribNameList,
                                $extAuthAttribTreatmentList,
                                $uData['user_id']);
    }
    else
    {
        // create a new rank in the claroline user table for this user

        $extAuth->recordUserData($extAuthAttribNameList,
                                 $extAuthAttribTreatmentList);
    }

    $extAuthId = $extAuth->getUid();
} // if ( $extAuth->isAuth() )
else
{
    $extAuthId = false;
} // if ( $extAuth->isAuth() ) else

return $extAuthId;
?>