// I18N constants
// Brazilian Portuguese Translation by Alex Piaz <webmaster@globalmap.com>

HTMLArea.I18N = {

	lang: "pt",

	tooltips: {
		bold:           "Negrito",
		italic:         "Itlico",
		underline:      "Sublinhado",
		strikethrough:  "Tachado",
		subscript:      "Subescrito",
		superscript:    "Sobrescrito",
		justifyleft:    "Alinhar  Esquerda",
		justifycenter:  "Centralizar",
		justifyright:   "Alinhar  Direita",
		justifyfull:    "Justificar",
		orderedlist:    "Lista Numerada",
		unorderedlist:  "Lista Marcadores",
		outdent:        "Diminuir Indentao",
		indent:         "Aumentar Indentao",
		forecolor:      "Cor da Fonte",
		backcolor:      "Cor do Fundo",
		horizontalrule: "Linha Horizontal",
		createlink:     "Inserir Link",
		insertimage:    "Inserir Imagem",
		inserttable:    "Inserir Tabela",
		htmlmode:       "Ver Cdigo-Fonte",
		popupeditor:    "Expandir Editor",
		about:          "Sobre",
		help:           "Ajuda",
		textindicator:  "Estilo Atual"
	},

	buttons: {
		"ok":           "OK",
		"cancel":       "Cancel"
	},

	msg: {
		"Path":         "Path",
		"TEXT_MODE":    "You are in TEXT MODE.  Use the [<>] button to switch back to WYSIWYG.",

		"IE-sucks-full-screen" :
		// translate here
		"The full screen mode is known to cause problems with Internet Explorer, " +
		"due to browser bugs that we weren't able to workaround.  You might experience garbage " +
		"display, lack of editor functions and/or random browser crashes.  If your system is Windows 9x " +
		"it's very likely that you'll get a 'General Protection Fault' and need to reboot.\n\n" +
		"You have been warned.  Please press OK if you still want to try the full screen editor."
	},

	dialogs: {
		"Cancel"                                            : "Cancel",
		"Insert/Modify Link"                                : "Insert/Modify Link",
		"New window (_blank)"                               : "New window (_blank)",
		"None (use implicit)"                               : "None (use implicit)",
		"OK"                                                : "OK",
		"Other"                                             : "Other",
		"Same frame (_self)"                                : "Same frame (_self)",
		"Target:"                                           : "Target:",
		"Title (tooltip):"                                  : "Title (tooltip):",
		"Top frame (_top)"                                  : "Top frame (_top)",
		"URL:"                                              : "URL:",
		"You must enter the URL where this link points to"  : "You must enter the URL where this link points to"
	}
};