<?php // $Id: locale_settings.php,v 1.1.2.2 2006/05/03 09:03:14 mathieu Exp $
/*
 * Czech translate for Claroline 1.75 rev 1
 * http://www.claroline.cz
 *
 * author Zdenek Machek <zdenek.machek@atlas.cz>
 *
 * translated for ZUS Police
 * http://www.zuspolice.cz
 *
 */

$iso639_1_code = "cs";
$iso639_2_code = "cze";

unset($langNameOfLang);
unset($langDay_of_weekNames);
unset($langMonthNames);
unset($byteUnits);

$langNameOfLang['arabic']        = "arabtina";
$langNameOfLang['brazilian']     = "braziltina";
$langNameOfLang['bulgarian']     = "bulhartina";
$langNameOfLang['catalan']       = "katalntina";
$langNameOfLang['croatian']      = "chorvattina";
$langNameOfLang['czech']         = "etina";
$langNameOfLang['danish']        = "dntina";
$langNameOfLang['dutch']         = "holandtina";
$langNameOfLang['english']       = "anglitina";
$langNameOfLang['finnish']       = "fintina";
$langNameOfLang['french']        = "francoutina";
$langNameOfLang['galician']      = "galtina";
$langNameOfLang['german']        = "nmina";
$langNameOfLang['greek']         = "etina";
$langNameOfLang['italian']       = "italtina";
$langNameOfLang['indonesian']    = "indontina";
$langNameOfLang['japanese']      = "japontina";
$langNameOfLang['malay']         = "malajtina"; 
$langNameOfLang['polish']        = "poltina";
$langNameOfLang['portuguese']    = "portugaltina";
$langNameOfLang['russian']       = "rutina";
$langNameOfLang['simpl_chinese'] = "zjednoduen ntina";
$langNameOfLang['slovenian']     = "slovintina";
$langNameOfLang['spanish']       = "panltina";
$langNameOfLang['swedish']       = "vdtina";
$langNameOfLang['thai']          = "thaitina";
$langNameOfLang['turkish']       = "turetina";
$langNameOfLang['vietnamese']    = "vietnamtina";

$charset = 'iso-8859-2';
$text_dir = 'ltr'; // ('ltr' for left to right, 'rtl' for right to left)
$left_font_family = 'verdana, helvetica, arial, sans-serif';
$right_font_family = 'helvetica, arial, sans-serif';
$number_thousands_separator = ',';
$number_decimal_separator = '.';
$byteUnits = array('Bajt', 'KB', 'MB', 'GB');

$langDay_of_weekNames['init'] = array( 'N','P', '', 'S', '', 'P', 'S');
$langDay_of_weekNames['short'] = array('Ne','Pon', 't', 'St', 't', 'P', 'So');
$langDay_of_weekNames['long'] = array('Nedle','Pondl', 'ter', 'Steda', 'tvrtek', 'Ptek', 'Sobota');

$langMonthNames['init']  = array('L', '', 'B', 'D', 'K', '', '', 'S', 'Z', '', 'L', 'P');
$langMonthNames['short'] = array('Led', 'no', 'Be', 'Dub', 'Kv', 'erv', 'erc', 'Srp', 'Z', 'j', 'List', 'Pros');
$langMonthNames['long'] = array('Leden', 'nor', 'Bezen', 'Duben', 'Kvten', 'erven', 'ervenec', 'Srpen', 'Z', 'jen', 'Listopad', 'Prosinec');

$dateFormatShort =  "%d. %b %y";
$dateFormatLong  = '%A, %d. %B %Y';
$dateTimeFormatLong  = '%d. %B %Y v %H:%M';
$dateTimeFormatShort = "%d %b. %y, %H:%M";
$timeNoSecFormat = '%H:%M';

?>
